package cn.iocoder.yudao.module.basic.convert.goodscategory;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.basic.controller.admin.goodscategory.vo.*;
import cn.iocoder.yudao.module.basic.dal.dataobject.goodscategory.GoodsCategoryDO;

/**
 * 商品分类表。分类的编号为 C 开头，如：C100001 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface GoodsCategoryConvert {

    GoodsCategoryConvert INSTANCE = Mappers.getMapper(GoodsCategoryConvert.class);

    GoodsCategoryDO convert(GoodsCategoryCreateReqVO bean);

    GoodsCategoryDO convert(GoodsCategoryUpdateReqVO bean);

    GoodsCategoryRespVO convert(GoodsCategoryDO bean);

    List<GoodsCategoryRespVO> convertList(List<GoodsCategoryDO> list);

    PageResult<GoodsCategoryRespVO> convertPage(PageResult<GoodsCategoryDO> page);

    List<GoodsCategoryExcelVO> convertList02(List<GoodsCategoryDO> list);

}
